Bug 115811 - Resin startup doesn't sort version numbers correctly
Resin startup doesn't sort version numbers correctly
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 06:31 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-16 06:31:08 EST
Description of problem:
[root@camden root]# ls /opt/resin 
2.1.10  2.1.20  2.1.300  2.1.4  2.1.40
[root@camden root]# /bin/ls -d /opt/resin/* | sort -r | head -1
/opt/resin/2.1.40
[root@camden root]# 

It should have picked '2.1.300'.

It needs to be doing a numeric sort on the 3rd field, and only look
for files named 2.1.x 

Something like the following adapted code should work:

/bin/ls -d /opt/resin/2.1.* | sort -t . -k 3 -n -r | head -1

This is also relevant for tomcat.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gregorovic 2004-02-23 16:33:27 EST
@40729
Comment 2 Dennis Gregorovic 2005-03-17 11:55:04 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.